]> git.pld-linux.org Git - packages/apache.git/commitdiff
- taken from last revisions for apache 1.3.27
authorJakub Bogusz <qboosh@pld-linux.org>
Tue, 31 Dec 2002 10:36:18 +0000 (10:36 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    apache1.init -> 1.1

apache1.init [new file with mode: 0644]

diff --git a/apache1.init b/apache1.init
new file mode 100644 (file)
index 0000000..0432b79
--- /dev/null
@@ -0,0 +1,73 @@
+#!/bin/sh
+#
+# apache       Apache Web Server
+#
+# chkconfig:   345 85 15
+# description: Apache is a World Wide Web server.  It is used to serve \
+#              HTML files and CGI.
+# processname: httpd
+# pidfile:     /var/run/httpd.pid
+# config:      /etc/httpd/httpd.conf
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/apache ] && . /etc/sysconfig/apache
+
+# Check that networking is up.
+if is_no "${NETWORKING}"; then
+        # nls "ERROR: Networking is down. %s can't be run." <service>
+        msg_network_down httpd
+        exit 1
+fi
+
+if is_no "${IPV6_NETWORKING}"; then
+        HTTPD_OPTS="$HTTPD_OPTS -4"
+fi
+
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+        if [ ! -f /var/lock/subsys/httpd ]; then
+               msg_starting httpd
+               daemon httpd $HTTPD_OPTS
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/httpd
+       else
+               msg_already_running httpd
+               exit 1
+       fi
+       ;;
+  stop)
+        # Stop daemons.
+       if [ -f /var/lock/subsys/httpd ]; then
+                msg_stopping httpd
+                killproc httpd
+                rm -f /var/lock/subsys/httpd /var/run/httpd.pid /var/run/httpd.loc* >/dev/null 2>&1
+        else
+               msg_not_running httpd
+               exit 1
+       fi
+       ;;
+  status)
+       status httpd
+       /usr/sbin/httpd -S
+       exit $?
+       ;;
+  restart|reload)
+       $0 stop
+       $0 start
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|status}"
+       exit 1
+       ;;
+esac
+
+exit $RETVAL
This page took 0.060082 seconds and 4 git commands to generate.